<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.m2pool.lease.mapper.LeaseUserMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.m2pool.lease.entity.LeaseUser">
        <id column="id" property="id" />
        <result column="user_id" property="userId" />
        <result column="password" property="password" />
        <result column="create_time" property="createTime" />
        <result column="update_time" property="updateTime" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, user_id, password, create_time, update_time
    </sql>

    <select id="getGoogleInfoByEmail" resultType="com.m2pool.lease.entity.GoogleInfo">
        select
            email,
            google_auth secret,
            google_status status
        from
            sys_user
        where
            email = #{email}
            limit 1
    </select>

</mapper>
